util.ui.customizableitems

## Interface SelectableItemRendererCenterComponentIf

-     public interface SelectableItemRendererCenterComponentIf

  An interface that supports to create an own center component as Renderer for the SelectableItemList.

  Since:
    2.7
  Author:
    René Mach

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calculateSize(javax.swing.JList list, int index, javax.swing.JPanel contentPane)` Calculates the size of the content pane used to paint the whole item.
    `javax.swing.JPanel` | `createCenterPanel(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean isEnabled, javax.swing.JScrollPane parentScrollPane, int leftColumnWidth)` Creates the center component panel.

- - ### Method Detail

    - #### createCenterPanel

          javax.swing.JPanel createCenterPanel(javax.swing.JList list,
                                             java.lang.Object value,
                                             int index,
                                             boolean isSelected,
                                             boolean isEnabled,
                                             javax.swing.JScrollPane parentScrollPane,
                                             int leftColumnWidth)

      Creates the center component panel.

      Parameters:
        `list` - The list with items.
        `value` - The currently rendered item.
        `index` - The index of the rendered item in the list.
        `isSelected` - `True` if the item is selected.
        `isEnabled` - `True` if the item is enabled.
        `parentScrollPane` - The scroll pane in that the list is embedded.
        `leftColumnWidth` - The width of the check box area until the text starts.
      Returns:
        The JPanel with the rendered item.

    - #### calculateSize

          void calculateSize(javax.swing.JList list,
                           int index,
                           javax.swing.JPanel contentPane)

      Calculates the size of the content pane used to paint the whole item.

      Parameters:
        `list` - The list with the items.
        `index` - The index if the currently rendered item.
        `contentPane` - The content pane with all components used to paint the item in the list.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)